This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 769645 - --tab command line switch does not work
--tab command line switch does not work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-21 10:28 EST by Mikhail Veltishchev
Modified: 2012-01-16 03:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-11 16:36:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mikhail Veltishchev 2011-12-21 10:28:44 EST
Description of problem:
--tab command line switch does not work.

Version-Release number of selected component (if applicable):
GNOME Terminal 3.2.1
($ gnome-terminal --version)

How reproducible:
Always

Steps to Reproduce:
1. Open an instance of gnome-terminal
2. type 'gnome-terminal --tab'
3. press <Enter>
  
Actual results:
A new *window* opens instead of new tab.

Expected results:
A new tab in the last-opened window with the default profile should open.

Additional info:
Exact version is a gnome-terminal-3.2.1-2.fc16.x86_64
The system is up to date (i.e. all packages are updated via yum)
Same bug (googled), but it is very old: https://bugs.launchpad.net/ubuntu/+source/gnome-terminal/+bug/117333
Comment 1 Fedora Admin XMLRPC Client 2012-01-10 10:48:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-01-10 10:48:43 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Matthias Clasen 2012-01-11 16:36:28 EST
--tab works. I just doesn't do what you think it does.
'last-opened window' refers to the windows opened by the current commandline. 
Try 

 gnome-terminal --tab --tab --window --tab

to see what I mean
Comment 4 Mikhail Veltishchev 2012-01-16 03:36:50 EST
Aaargh! Now I got it, thanks.

But one question resides: is there any option/switch to open a new tab inside the current window?

Btw, my goal is to open many tabs with different titles and current directories using command (not to do it manually once and once again).

Note You need to log in before you can comment on or make changes to this bug.